Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class StackFrame

    java.lang.Object
      net.sf.saxon.expr.StackFrame

    public class StackFrame

extends Object

This class represents a stack frame holding details of the variables used in a function or in an XSLT template.

Field Summary
`protected Stack<ValueRepresentation>` | `dynamicStack`
`static StackFrame` | `EMPTY`
`protected SlotManager` | `map`
`protected ValueRepresentation[]` | `slots`

Constructor Summary
`StackFrame(SlotManager map, ValueRepresentation[] slots)`

Method Summary
`StackFrame` | `copy()`
`SlotManager` | `getStackFrameMap()`
`ValueRepresentation[]` | `getStackFrameValues()`
`ValueRepresentation` | `popDynamicValue()`
`void` | `pushDynamicValue(ValueRepresentation value)`
`void` | `setStackFrameValues(ValueRepresentation[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected SlotManager map

### slots

    protected ValueRepresentation[] slots

### dynamicStack

    protected Stack<ValueRepresentation> dynamicStack

### EMPTY

    public static final StackFrame EMPTY

Constructor Detail

### StackFrame

    public StackFrame(SlotManager map,
                      ValueRepresentation[] slots)

Method Detail

### getStackFrameMap

    public SlotManager getStackFrameMap()

### getStackFrameValues

    public ValueRepresentation[] getStackFrameValues()

### setStackFrameValues

    public void setStackFrameValues(ValueRepresentation[] values)

### copy

    public StackFrame copy()

### pushDynamicValue

    public void pushDynamicValue(ValueRepresentation value)

### popDynamicValue

    public ValueRepresentation popDynamicValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.